import finch.Finch;



public class FrameDriver {

	/**
	 * Sleep for a specified amount of time.
	 * 
	 * @param i Number of milliseconds to sleep
	 */
	
	static public void mySleep(int i)
	{
		try{
			Thread.sleep(i);
		}catch(Exception e)
		{
			System.out.println(e);
		}
	}
	
	static public void populateModel(FinchModel model){
		model.add(new FinchMove("foo", 10, 1000, 10.0, 10.0));
		model.add(new FinchMove("foo", 5, 1500, 20.0, -20.0));
		model.add(new FinchMove("bar", 7, 1200, 20.0, -10.0));
		model.add(new FinchMove("foo", 3, 1800, -10.0, 10.0));
		model.getFinchActionList().sort();
	}
	
	public static void main(String[] args){
		Finch myFinch = null;
		// myFinch = new Finch();
		
		// Create the model
		FinchModel model = new FinchModel(myFinch);
		
		// Populate the model with several FinchActions
		populateModel(model);
		
		// Create the frame
		FinchFrame frame = new FinchFrame(model);
		
		// Loop until the frame is closed
		while(frame.getCloseFlag()){
			mySleep(10);
		}
		
		// Clean up and exit
		if(myFinch != null) {
			myFinch.setWheelVelocities(0.0, 0.0);
			myFinch.quit();
		}
		System.exit(0);
	}
}
